CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug [opties]

Verscheidene commandoregel interfaces nuttig voor foutzoeken in calibre. Zonder opties start dit commando een geïntegreerde Python vertaler. U kan ook de hoofd calibre GUI gebruiken, het calibre leesvenster en de calibre bewerker in de foutzoekmodus.

Het bevat ook interfaces voor verschillende stukjes van calibre die geen specifieke commandoregel gereedschappen hebben, zoals font subsets, de e-boek diff tool en zo voort.

U kan ook calibre-debug gebruiken om zelfstandige scripts te draaien. Gebruik het daarvoor zo:
        calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Alles na de -- wordt doorgegeven aan het script. U kan ook calibre foutzoeken gebruiken als een shebang in scripts, zo:
        #!/usr/bin/env -S calibre-debug -e -- --

Als u aan calibre-debug parameters met spaties mee wilt geven, moet u deze met aanhalingstekens omsluiten. Bv.: "/some path/with spaces"

[OPTIES]

    --add-simple-plugin
        Voeg een eenvoudige plug-in toe (b.v. een plug-in die één .py bestand bevat) door het pad aan te geven naar het py-bestand die de code voor de plug-in bevat.

    --command, -c
        Python code uitvoeren.

    --debug-device-driver, -d
        Fouten in toesteldetectie zoeken

    --default-programs
        calibre (af)melden als Windows standaard programma. --default-programs = (register|unregister)

    --diff
        Draait de calibre diff tool. Bijvoorbeeld: calibre-debug --diff bestand1 bestand2

    --edit-book
        Launch the calibre "Edit book" tool in debug mode. As with -g use -- to pass command line arguments.

    --exec-file, -e
        Python code in het bestand uitvoeren.

    --explode-book, -x
        Explodeer het boek in de gespecificeerde map. Gebruik: -x file.epub output_dir Exporteert het boek als een verzameling HTML bestanden en metadata die u kan bewerken met standaard HTML gereedschappen. Werkt met EPUB, AZW3, HTMLZ en DOCX bestanden.

    --export-all-calibre-data
        Exporteer alle Calibre-gegevens (boeken/instellingen/plug-ins). Normaal gesproken wordt u gevraagd naar de exportmap en de bibliotheken die u wilt exporteren. U kunt ze ook opgeven als opdrachtregel argumenten om de vragen over te slaan. Gebruik absolute paden voor de exportmap en bibliotheken. Het speciale trefwoord "all" kan worden gebruikt om alle bibliotheken te exporteren. Voorbeelden: calibre-debug --export-all-calibre-data # voor interactief gebruik calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # exporteer alle bekende bibliotheken

    --gui, -g
        Run the GUI with debugging enabled. Debug output is printed to stdout and stderr. To pass command line arguments use -- followed by the arguments, for example: calibre-debug -g -- /path/to/ebook

    --gui-debug
        Voer de GUI uit met de debug console, log naar het gespecificeerd pad. Enkel intern gebruik, gebruik de -g optie om de GUI in debug modus uit te voeren

    --help, -h
        toon dit helpbericht en stop

    --implode-book, -i
        Implodeer een eerder geëxplodeerd boek. Gebruik: -i output_dir file.epub Importeert het boek vanuit bestanden in output_dir die gecreëerd werden bij een vorige aanroep van --explode-book. Zorg ervoor hetzelfde bestandstype op te geven als bij het exploderen.

    --import-calibre-data
        Importeer eerder geëxporteerde calibre gegevens

    --inspect-mobi, -m
        Inspecteer MOBI-bestand(en) in opgegeven pad(en)

    --kepubify
        Converteer het opgegeven EPUB-bestand naar KEPUB zonder een volledige conversie uit te voeren. Dit is wat het Kobo stuurprogramma doet als het bestanden naar het apparaat stuurt.

    --paths
        Output van de paden de nodig zijn voor de installatie van de calibre omgeving

    --run-plugin, -r
        Voer een plugin uit die een opdrachtregelinterface biedt. Bijvoorbeeld: calibre-debug -r "Plugin naam" -- bestand1 --optie1 Alles na de -- wordt als argumenten doorgegeven aan de plugin.

    --run-test, -t
        Voer de genoemde test(s) uit. Gebruik de speciale waarde "alle" om alle tests uit te voeren. Als de testnaam begint met een punt, wordt aangenomen dat het een modulenaam is. Als de testnaam begint met @, wordt aangenomen dat het een categorienaam is.

    --run-without-debug
        Niet uitvoeren met de DEBUG flag set

    --shutdown-running-calibre, -s
        Sluit, indien aanwezig, een actieve calibre-instantie af. Bedenk dat eventuele draaiende taken zonder melding worden afgebroken. Gebruik deze optie voorzichtig.

    --subset-font, -f
        Wissel het gespecifieerde lettertype. Gebruik -- na deze optie om optie door te geven naar lettertype wisselprogramma.

    --test-build
        Test binaire modules in build

    --un-kepubify
        Converteer het opgegeven KEPUB bestand naar EPUB zonder een volledige conversie uit te voeren. Dit is wat het Kobo stuurprogramma doet bij het importeren van bestanden van het apparaat.

    --version
        toon programmaversie en stop

    --viewer, -w
        Run the E-book viewer in debug mode. As with -g use -- to pass command line arguments.

Author
Kovid Goyal

Copyright
Kovid Goyal